org.richfaces.renderkit.html

## Class ValidatorScriptBase

- java.lang.Object
- - org.richfaces.javascript.ScriptStringBase
  - - org.richfaces.javascript.JSFunctionDefinition
    - - org.richfaces.renderkit.html.ValidatorScriptBase

- All Implemented Interfaces:
    org.richfaces.javascript.FunctionDefWithDependencies, org.richfaces.javascript.ScriptString, org.richfaces.javascript.ScriptWithDependencies, ComponentValidatorScript, org.richfaces.resource.ResourceLibrary
  Direct Known Subclasses:
    AjaxOnlyScript, ClientOnlyScript

      public abstract class ValidatorScriptBase
      extends org.richfaces.javascript.JSFunctionDefinition
      implements ComponentValidatorScript

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AJAX`
    `static org.richfaces.javascript.JSReference` | `AJAX_REF`
    `static String` | `CLIENT_ID`
    `static org.richfaces.javascript.JSReference` | `CLIENT_ID_REF`
    `static String` | `CONVERTER`
    `static org.richfaces.javascript.JSReference` | `CONVERTER_REF`
    `static String` | `CSV_NAMESPACE`
    `static String` | `DISABLE_AJAX`
    `static org.richfaces.javascript.JSReference` | `DISABLE_AJAX_REF`
    `static String` | `ELEMENT`
    `static org.richfaces.javascript.JSReference` | `ELEMENT_REF`
    `static String` | `EOL`
    `static String` | `EVENT`
    `static org.richfaces.javascript.JSReference` | `EVENT_REF`
    `static org.richfaces.javascript.JSFunction` | `GET_VALUE_FUNCTION`
    `static String` | `MESSAGE`
    `static org.richfaces.javascript.JSReference` | `MESSAGE_REF`
    `static NullConverterScript` | `NULL_CONVERTER_SCRIPT`
    `static String` | `PARAMS`
    `static org.richfaces.javascript.JSReference` | `PARAMS_REF`
    `static String` | `SOURCE_ID`
    `static org.richfaces.javascript.JSReference` | `SOURCE_ID_REF`
    `static org.richfaces.javascript.JSFunction` | `VALIDATE_FUNCTION`
    `static String` | `VALIDATE_FUNCTION_NAME`
    `static String` | `VALIDATORS`
    `static org.richfaces.javascript.JSReference` | `VALIDATORS_REF`
    `static String` | `VALUE_FUNCTION_NAME`

    - ### Fields inherited from class org.richfaces.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorScriptBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendAjaxFunction(Appendable target, String ajaxScript)`
    `protected void` | `appendAjaxParameter(Appendable target, String ajaxScript)`
    `protected void` | `appendBody(Appendable target)`
    `protected void` | `appendParameters(Appendable target)`
    `protected void` | `appendValidatorCall(Appendable target)`
    `String` | `createCallScript(String clientId, String sourceId)` Creates JavasCript that calls validator function.

    - ### Methods inherited from class org.richfaces.javascript.JSFunctionDefinition

      `addParameter, addToBody, appendFunctionName, appendScript, getName, setName`

    - ### Methods inherited from class org.richfaces.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.javascript.FunctionDefWithDependencies

      `getName`

    - ### Methods inherited from interface org.richfaces.resource.ResourceLibrary

      `getResources`

    - ### Methods inherited from interface org.richfaces.javascript.ScriptString

      `appendScript, appendScriptToStringBuilder, toScript`

- - ### Field Detail

    - #### ELEMENT

          public static final String ELEMENT

      See Also:
        Constant Field Values

    - #### ELEMENT_REF

          public static final org.richfaces.javascript.JSReference ELEMENT_REF

    - #### EVENT

          public static final String EVENT

      See Also:
        Constant Field Values

    - #### EVENT_REF

          public static final org.richfaces.javascript.JSReference EVENT_REF

    - #### DISABLE_AJAX

          public static final String DISABLE_AJAX

      See Also:
        Constant Field Values

    - #### DISABLE_AJAX_REF

          public static final org.richfaces.javascript.JSReference DISABLE_AJAX_REF

    - #### EOL

          public static final String EOL

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          public static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### CLIENT_ID_REF

          public static final org.richfaces.javascript.JSReference CLIENT_ID_REF

    - #### SOURCE_ID

          public static final String SOURCE_ID

      See Also:
        Constant Field Values

    - #### SOURCE_ID_REF

          public static final org.richfaces.javascript.JSReference SOURCE_ID_REF

    - #### CONVERTER

          public static final String CONVERTER

      See Also:
        Constant Field Values

    - #### CONVERTER_REF

          public static final org.richfaces.javascript.JSReference CONVERTER_REF

    - #### VALIDATORS

          public static final String VALIDATORS

      See Also:
        Constant Field Values

    - #### VALIDATORS_REF

          public static final org.richfaces.javascript.JSReference VALIDATORS_REF

    - #### AJAX

          public static final String AJAX

      See Also:
        Constant Field Values

    - #### AJAX_REF

          public static final org.richfaces.javascript.JSReference AJAX_REF

    - #### PARAMS

          public static final String PARAMS

      See Also:
        Constant Field Values

    - #### PARAMS_REF

          public static final org.richfaces.javascript.JSReference PARAMS_REF

    - #### MESSAGE

          public static final String MESSAGE

      See Also:
        Constant Field Values

    - #### MESSAGE_REF

          public static final org.richfaces.javascript.JSReference MESSAGE_REF

    - #### NULL_CONVERTER_SCRIPT

          public static final NullConverterScript NULL_CONVERTER_SCRIPT

    - #### CSV_NAMESPACE

          public static final String CSV_NAMESPACE

      See Also:
        Constant Field Values

    - #### VALUE_FUNCTION_NAME

          public static final String VALUE_FUNCTION_NAME

      See Also:
        Constant Field Values

    - #### GET_VALUE_FUNCTION

          public static final org.richfaces.javascript.JSFunction GET_VALUE_FUNCTION

    - #### VALIDATE_FUNCTION_NAME

          public static final String VALIDATE_FUNCTION_NAME

      See Also:
        Constant Field Values

    - #### VALIDATE_FUNCTION

          public static final org.richfaces.javascript.JSFunction VALIDATE_FUNCTION

  - ### Constructor Detail

    - #### ValidatorScriptBase

          public ValidatorScriptBase()

  - ### Method Detail

    - #### createCallScript

          public String createCallScript(String clientId,
                                String sourceId)

      Description copied from interface: `ComponentValidatorScript`

      Creates JavasCript that calls validator function.

      Specified by:
        `createCallScript` in interface `ComponentValidatorScript`

    - #### appendParameters

          protected void appendParameters(Appendable target)
                                   throws IOException

      Throws:
        `IOException`

    - #### appendBody

          protected void appendBody(Appendable target)
                             throws IOException

      Overrides:
        `appendBody` in class `org.richfaces.javascript.JSFunctionDefinition`
      Throws:
        `IOException`

    - #### appendValidatorCall

          protected void appendValidatorCall(Appendable target)
                                      throws IOException

      Throws:
        `IOException`

    - #### appendAjaxParameter

          protected void appendAjaxParameter(Appendable target,
                                 String ajaxScript)
                                      throws IOException

      Throws:
        `IOException`

    - #### appendAjaxFunction

          protected void appendAjaxFunction(Appendable target,
                                String ajaxScript)
                                     throws IOException

      Throws:
        `IOException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.